// Key:Key, Value:数值, StringValue:字符串

export default class M_ActivityTouchingFishBaseInfo {
  private static data =
      {"LevelNeedExp":{"Key":"LevelNeedExp","Value":2000,"StringValue":"每级所需经验"}

      ,"FlushTaskNeedDiamond":{"Key":"FlushTaskNeedDiamond","Value":20,"StringValue":"刷新周任务所需钻石"}

      ,"ActivityKeepDays":{"Key":"ActivityKeepDays","Value":28,"StringValue":"每月活动天数"}

      ,"MaxWeekQuestExp":{"Key":"MaxWeekQuestExp","Value":80000,"StringValue":"每周任务经验上限"}

      ,"AdvGiftID":{"Key":"AdvGiftID","Value":332,"StringValue":"进阶礼包ID"}

      ,"WeekSignReward":{"Key":"WeekSignReward","Value":2500,"StringValue":"周签到奖励经验"}

      }// Key:Key, Value:数值, StringValue:字符串


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}